<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Lehrplan\Lehrplan;

class LehrplanView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/lehrplan/lehrplan.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    static $obj = null;
    if (\is_null($obj)) {
      $obj = new \Datamodul();
      $obj->blaettern = $this->viewModel->blaettern;
      $obj->beginn_dat = $this->viewModel->filter->beginn_dat;
      $obj->ende_dat = $this->viewModel->filter->ende_dat;
      $obj->show_filter_button = $this->viewModel->showFilterButton;
      $obj->show_druck_button = $this->viewModel->showDruckButton;
    }

    return array($obj);
  }
}

class LehrplanViewModel
{
  public $blaettern;
  public $filter;
  public $showFilterButton;
  public $showDruckButton;
}